> For the complete documentation index, see [llms.txt](https://docs.lineverge.com/automail/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lineverge.com/automail/configurations/ui-configuration/site/panels/gallery.md).

# Gallery

Below is an example configuration of a panel using the **Gallery** module:

```python
{
    "full_row": True,
    "url_name": "panel_document_chain_of_custody",
    "width": 12,
    "content": {
        "view": custom_views.DocumentGallery,
        "view_params": {
            "model": custom_models.Document,
            "media_field": "image_file_url",
            "document_name": "Chain of Custody Management",
            "clear_filters": True,
        },
    },
},

```

The view\_params are:

* model the model this table is based on
* media\_field Uses the image\_file\_url field to get the media URL for displaying images
* document\_name: Displays a name or title for the documents.
* clear\_filters: Clears any filters, showing all relevant documents in the gallery.

custom\_views can be defined as followed:

```python
class DocumentGallery(module_views.Gallery):
    document_name = None

    def get_media_file_queryset(self):
        item = self.model.objects.filter(name=self.document_name).first()
        if self.get_media_reference(item):
            return [item]

    def get_media_label(self, item):
        if item:
            return item.name
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.lineverge.com/automail/configurations/ui-configuration/site/panels/gallery.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
